﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="DisplayASimpleMap.aspx.cs"
    Inherits="WebDisplayASimpleMap.DisplayASimpleMap" %>

<%@ Register Assembly="WebEdition" Namespace="ThinkGeo.MapSuite.WebEdition" TagPrefix="cc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>Display a Simple Map</title>
    <style type="text/css">
        html, body, form
        {
            height: 100%;
        }
    </style>
    <script language="javascript" type="text/javascript">
        function OnMapCreated(map) {
            var map = Map1.GetOpenLayersMap();
            var editLayer;
            var layers = map.getLayersByName("EditOverlay");
            if (layers.length > 0) {
                editLayer = layers[0];
                editLayer.events.register("featureclick", this, function (e) {
                    alert("click on feature " + e.feature.id);
                });
            }
        }
    </script>
</head>
<body>
    <form id="form1" runat="server">
        <asp:ScriptManager ID="ScriptManager1" runat="server">
        </asp:ScriptManager>
        <cc1:Map ID="Map1" runat="server" Width="100%" Height="100%">
        </cc1:Map>
    </form>
</body>
</html>
